%global url_ver	%(echo %{version} | cut -d. -f-2)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\(AppIndicator3

Name:		gajim
Version:	1.3.3
Release:	%mkrel 1
Summary:	Jabber Client written in PyGTK
Group:		Networking/Instant messaging
License:	GPLv3
URL:		https://www.gajim.org
Source:		https://www.gajim.org/downloads/%{url_ver}/gajim-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)

Requires:	glib-networking
Requires:	python3-curl
Requires:	python3-dbus
Requires:	python3-gobject3
Requires:	python3-OpenSSL
Requires:	python3-nbxmpp
Requires:	python3-pkg-resources
Requires:	python3-pyasn1

Recommends:	python3-gnupg
Recommends:	python3-pillow


%description
Gajim is a jabber client written in PyGTK. The goal of Gajim's developers
is to provide a full featured and easy to use xmpp client for the GTK+
users. Gajim does not require GNOME to run, even though it coexists 
nicely. Gajim is released under the GNU General Public License

Features:
- Tabbed chat windows
- Groupchat support (with MUC protocol)
- Emoticons, URL grabber
- Systray icon
- TLS & GPG support
- Transport Registration support
- Service Discovery including Nodes
- Multiple accounts support


%prep
%autosetup -p1 -n gajim-gajim-%{version}

%build
%py3_build

%install
%py3_install

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GNOME" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/gajim
%{_bindir}/gajim-history-manager
%{_bindir}/gajim-remote
%{_datadir}/applications/org.gajim.Gajim.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gajim.Gajim.svg
%{_iconsdir}/hicolor/scalable/apps/org.gajim.Gajim-symbolic.svg
%{_metainfodir}/org.gajim.Gajim.appdata.xml
%{_mandir}/man1/gajim.1*
%{_mandir}/man1/gajim-history-manager.1*
%{_mandir}/man1/gajim-remote.1*
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}*.egg-info


%changelog
* Thu May 26 2022 wally <wally> 1.3.3-1.mga8
+ Revision: 1860342
- new version 1.3.3 (mga#30474)
- remove recommends pulled automatically as reqs

* Thu Jan 28 2021 sander85 <sander85> 1.2.2-2.mga8
+ Revision: 1673833
- Require python3-gobject3

* Mon Sep 21 2020 sander85 <sander85> 1.2.2-1.mga8
+ Revision: 1629105
- New version: 1.2.2

* Tue Aug 11 2020 sander85 <sander85> 1.2.1-2.mga8
+ Revision: 1613345
- Requires glib-networking to work properly

* Thu Aug 06 2020 sander85 <sander85> 1.2.1-1.mga8
+ Revision: 1611486
- New version: 1.2.1

* Sun Feb 16 2020 umeabot <umeabot> 1.1.3-4.mga8
+ Revision: 1535653
- Mageia 8 Mass Rebuild
+ wally <wally>
- drop old gnome-python-gtkspell recommend

* Sun Oct 13 2019 sander85 <sander85> 1.1.3-3.mga8
+ Revision: 1452660
- Recommend python3-axolotl for OMEMO encryption support

* Sat Sep 21 2019 daviddavid <daviddavid> 1.1.3-2.mga8
+ Revision: 1444268
- rebuild for python3.8

* Thu Jul 04 2019 sander85 <sander85> 1.1.3-1.mga8
+ Revision: 1418500
- New version: 1.1.3

* Tue Jan 29 2019 sander85 <sander85> 1.1.2-2.mga7
+ Revision: 1361850
- Add requires on python3-pkg-resources (mga#24261)

* Wed Jan 23 2019 sander85 <sander85> 1.1.2-1.mga7
+ Revision: 1360387
- New version: 1.1.2

* Tue Jan 08 2019 sander85 <sander85> 1.1.1-2.mga7
+ Revision: 1352585
- Rebuild for python 3.7

* Wed Jan 02 2019 sander85 <sander85> 1.1.1-1.mga7
+ Revision: 1348741
- New version: 1.1.1

* Thu Sep 20 2018 umeabot <umeabot> 0.16.9-2.mga7
+ Revision: 1278394
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 sander85 <sander85> 0.16.9-1.mga7
+ Revision: 1207610
- New version: 0.16.9

* Thu Jun 01 2017 neoclust <neoclust> 0.16.7-2.mga6
+ Revision: 1105753
- Add P0 - Fixes CVE-2016-10376 (mga#20962)

* Fri Mar 31 2017 neoclust <neoclust> 0.16.7-1.mga6
+ Revision: 1095476
- New bugfix release 0.16.7

* Thu Oct 13 2016 daviddavid <daviddavid> 0.16.6-2.mga6
+ Revision: 1060602
- fix desktop file Categories (mga#2449)

* Wed Oct 12 2016 sander85 <sander85> 0.16.6-1.mga6
+ Revision: 1060560
- New version: 0.16.6

* Tue Jan 12 2016 daviddavid <daviddavid> 0.16.5-2.mga6
+ Revision: 922061
- remove debuginfo disabling and make it noarch instead
- switch to %%old_configure macro (fix noarch build)
- do not mark man files as doc

* Tue Jan 12 2016 luigiwalser <luigiwalser> 0.16.5-1.mga6
+ Revision: 922017
- noarch build does not work, just disable debug package
- 0.16.5 (fixes CVE-2015-8688)
+ tv <tv>
- make it buildarch thus really fixing empty debuginfo
+ neoclust <neoclust>
- New version 0.16.3

* Wed Sep 09 2015 neoclust <neoclust> 0.16-0.beta1.5.mga6
+ Revision: 874929
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.16-0.beta1.4.mga5
+ Revision: 741030
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16-0.beta1.3.mga5
+ Revision: 679395
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 0.16-0.beta1.2.mga4
+ Revision: 534217
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 neoclust <neoclust> 0.16-0.beta1.1.mga4
+ Revision: 476641
- New version 0.16 beta1

* Tue Aug 13 2013 ofaurax <ofaurax> 0.15.4-2.mga4
+ Revision: 466222
- Add patch to be able to launch gajim when farstream is not present

* Thu Aug 08 2013 ofaurax <ofaurax> 0.15.4-1.mga4
+ Revision: 464787
- New versioin 0.15.4

* Fri Apr 05 2013 luigiwalser <luigiwalser> 0.15.3-2.mga3
+ Revision: 408330
- require pyasn1 for SSL cert checking

* Tue Apr 02 2013 luigiwalser <luigiwalser> 0.15.3-1.mga3
+ Revision: 407343
- 0.15.3 (fixes CVE-2012-5524)

* Fri Jan 11 2013 umeabot <umeabot> 0.15.1-2.mga3
+ Revision: 351015
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 neoclust <neoclust> 0.15.1-1.mga3
+ Revision: 301039
- New version

* Mon Jun 18 2012 kharec <kharec> 0.15-3.mga3
+ Revision: 261747
- Python-OpenSSL is a require.

* Mon Jun 18 2012 kharec <kharec> 0.15-2.mga3
+ Revision: 261743
- Add python-OpenSSL as BR

* Sat Jun 16 2012 kharec <kharec> 0.15-1.mga3
+ Revision: 260957
- new version 0.15
- adapt patch0 for 0.15
- fix docs installations

* Fri Apr 20 2012 luigiwalser <luigiwalser> 0.14.4-2.mga2
+ Revision: 232071
- fix CVE-2012-2085, CVE-2012-2086, CVE-2012-2093 (from debian)

* Mon Oct 24 2011 misc <misc> 0.14.4-1.mga2
+ Revision: 157628
- upgrade to 0.14.4
- place one requires/buildRequires per line, as this ease the
  review of patchs and change for this part of the spec
- remove requires on python, incorrectly set on version, and not needed

* Mon Jun 27 2011 kharec <kharec> 0.14.3-1.mga2
+ Revision: 114351
- new version

* Sun Jun 19 2011 kharec <kharec> 0.14.2-1.mga2
+ Revision: 109754
- new version
- drop p0, applied.

* Tue May 24 2011 ahmad <ahmad> 0.14.1-2.mga1
+ Revision: 100316
- Add a patch from upstream to check for errors before incoming or outgoing events
  should fix agjim looping at launch and consuming 100%% of the CPU (mga#1409)
  http://trac.gajim.org/ticket/5991

* Sun Jan 09 2011 kharec <kharec> 0.14.1-1.mga1
+ Revision: 2020
- imported package gajim

